Hi,

yes, I am running Leap 42.3, and was not aware that the API had been changed. The solution from the ticket of course looks much better than my minimal diff to just get things running again for me, I will give the test-build a try.


Thanks,
Ingmar

>Hi all,
>
>On Donnerstag, 10. August 2017 10:26:50 CEST Larry Finger wrote:
>>[...]
>>
>> Are you running openSUSE Leap 42.3, or has someone else stupidly backported 
the
>> get_user_pages() API from kernel 4.9 back to 4.4?
>>
>> If you were using a stock 4.4 kernel, then there would be no need for any
>> changes. In fact, applying the kind of ifdef statements that you recommend would
>> break the builds for all the people running kernels that actually follow the
>> rules regarding API changes. Such modifications to an API should only occur with
>> a major version change!
>
>please download the most recent 5.1 Guest Additions ISO image from
>
>  https://www.virtualbox.org/wiki/Testbuilds
>
>It has the required fix for the openSUSE Leap 42.3 kernel, see also
>
>  https://www.virtualbox.org/ticket/16966
>
>Kind regards,
>
>Frank

_______________________________________________
vbox-dev mailing list
vbox-dev@virtualbox.org
https://www.virtualbox.org/mailman/listinfo/vbox-dev

Reply via email to